Package org.eclipse.cdt.core.index

## Interface IIndexLocationConverter

All Known Implementing Classes:
  `ResourceContainerRelativeLocationConverter`, `URIRelativeLocationConverter`

    public interface IIndexLocationConverter

Each IIndexFragment stores file location representations in an implementation specific manner. External to IIndexFragment files are identified by an `IIndexFileLocation` Internal to IIndexFragment a mechanism for converting between the string location format used and the URI world is needed. This interface represents that mechanism.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IIndexFileLocation` `fromInternalFormat​(String raw)` Convert a raw string in an internal IIndexFragment implementation specific format to an IIndexFileLocation or null if the internal format could not be translated.
`String` `toInternalFormat​(IIndexFileLocation location)` Convert a IIndexFileLocation to the internal IIndexFragment implementation specific format or null if the location could not be translated.

### Method Detail

#### fromInternalFormat

    IIndexFileLocation fromInternalFormat​(String raw)

Convert a raw string in an internal IIndexFragment implementation specific format to an IIndexFileLocation or null if the internal format could not be translated.

#### toInternalFormat

    String toInternalFormat​(IIndexFileLocation location)

Convert a IIndexFileLocation to the internal IIndexFragment implementation specific format or null if the location could not be translated.

Parameters:
  `location` -
Returns:
  an internal representation for the location specified